import { ReactElement } from 'react';
import { Observer } from '../observer';
import { WithSetters, GlobalState, GlobalStatics } from '../types';
export declare function withState<StateProps = GlobalState, ComponentProps extends Record<string, any> = Record<string, any>, StaticProps = GlobalStatics>(callback: (state?: WithSetters<StateProps> & ComponentProps & StaticProps) => ReactElement, observer?: Observer<StateProps, StaticProps>): import("react").NamedExoticComponent<ComponentProps>;
